import Hyperlink from "react-native-hyperlink";

import { useWebView } from "../providers/WebViewProvider";
import { Palette } from "../styles";

const HyperlinkContainer = ({ children }) => {
  const { setWebViewUrl } = useWebView();

  return (
    <Hyperlink
      onPress={(url) => {
        setWebViewUrl(url);
      }}
      linkStyle={{
        color: Palette.primary,
        textDecorationLine: "underline",
      }}
    >
      {children}
    </Hyperlink>
  );
};

export default HyperlinkContainer;
